UPDATE `WAVE`.`WAVE_Parameter_Table` SET `Parameter_Value`='1.2.0.22' WHERE `Parameter_Name`='WAVEDB_Version';

ALTER TABLE VM_User_Specific_Table 
ADD COLUMN VM_User_Memory_Initial int(11) NOT NULL DEFAULT 0 AFTER VM_User_Memory_Max;
ALTER TABLE VM_User_Specific_Table 
ADD COLUMN VM_User_Memory_Standby int(11) NOT NULL DEFAULT 0 AFTER VM_User_Memory_Initial;
ALTER TABLE VM_User_Specific_Table 
ADD COLUMN VM_User_Memory_Reserved int(11) NOT NULL DEFAULT 0 AFTER VM_User_Memory_Standby;
ALTER TABLE VM_User_Specific_Table 
ADD COLUMN VM_User_CPU_Type CHAR(20) NOT NULL DEFAULT 'NONE_STMT' AFTER VM_User_Num_CPU;
ALTER TABLE VM_User_Specific_Table 
ADD COLUMN VM_User_Max_CPUs smallint(3) NOT NULL DEFAULT -1 AFTER VM_User_CPU_Type;

UPDATE WAVE_Parameter_Table SET Parameter_Name='zVMuser_Default_Initial_CPUs' WHERE Parameter_Name='zVMuser_Default_CPUs';
UPDATE WAVE_Parameter_Table SET Parameter_Name='zVMuser_Threshold_Maximum_CPUs' WHERE Parameter_Name='zVMuser_Max_CPUs';
SELECT Parameter_Value INTO @max_cpus FROM WAVE_Parameter_Table WHERE Parameter_Name='zVMuser_Threshold_Maximum_CPUs';
INSERT INTO WAVE_Parameter_Table (Parameter_Name, Parameter_Value) VALUES ('zVMuser_Default_Maximum_CPUs', @max_cpus);
UPDATE WAVE_Parameter_Table SET Parameter_Name='zVMuser_Default_Initial_Memory' WHERE Parameter_Name='zVMuser_Default_Storage';
UPDATE WAVE_Parameter_Table SET Parameter_Name='zVMuser_Default_Max_Memory' WHERE Parameter_Name='zVMuser_Default_MaxStorage';
UPDATE WAVE_Parameter_Table SET Parameter_Name='zVMuser_Threshold_Initial_Memory' WHERE Parameter_Name='zVMuser_Max_Storage';
UPDATE WAVE_Parameter_Table SET Parameter_Name='zVMuser_Threshold_Max_Memory' WHERE Parameter_Name='zVMuser_Max_MaxStorage';

update WAVE_User_Permission_Table 
set WAVE_User_Permission_Table.WAVE_User_Permission_Control = replace(WAVE_User_Permission_Table.WAVE_User_Permission_Control, '</Permissions></WAVE>' ,
'<Permission ActionName="Add CPUs Dynamically" Allowed="yes" /></Permissions></WAVE>')
where WAVE_User_Permission_Type = "Project" && WAVE_User_Permission_Control like '%<Permission ActionName="Update" Allowed="yes" />%'  && 
WAVE_User_Permission_Control not like '%<Permission ActionName="Add CPUs Dynamically"%' ;

update WAVE_User_Permission_Table  
set WAVE_User_Permission_Table.WAVE_User_Permission_Control = replace(WAVE_User_Permission_Table.WAVE_User_Permission_Control, '</Permissions></WAVE>' ,
'<Permission ActionName="Add CPUs Dynamically" Allowed="no" /></Permissions></WAVE>')
where WAVE_User_Permission_Type = "Project" && WAVE_User_Permission_Control like '%<Permission ActionName="Update" Allowed="no" />%'  && 
WAVE_User_Permission_Control not like '%<Permission ActionName="Add CPUs Dynamically"%' ;

update WAVE_User_Permission_Table  
set WAVE_User_Permission_Table.WAVE_User_Permission_Control = replace(WAVE_User_Permission_Table.WAVE_User_Permission_Control, '</Permissions></WAVE>' ,
'<Permission ActionName="Add CPUs Dynamically" Allowed="notset" /></Permissions></WAVE>')
where WAVE_User_Permission_Type = "Project" && WAVE_User_Permission_Control like '%<Permission ActionName="Update" Allowed="notset" />%' && 
WAVE_User_Permission_Control not like '%<Permission ActionName="Add CPUs Dynamically"%' ;

Update WAVE_External_Call_Messages set RC=8  where Class_Name like 'ConnectionTozVMServiceMachine%' && RS > 160 && RS < 165; 
Update WAVE_External_Call_Messages set RC=12 where Class_Name like 'ConnectionTozVMServiceMachine%' && RS = 160; 