UPDATE `WAVE`.`WAVE_Parameter_Table` SET `Parameter_Value`='1.2.0.2' WHERE `Parameter_Name`='WAVEDB_Version';
ALTER TABLE `WAVE`.`VM_System_Table` ADD COLUMN `VM_System_Signal_Shutdowntime` INT UNSIGNED NOT NULL DEFAULT 32767 AFTER `VM_System_EDEV_Range_High`;
DELETE t1 FROM WAVE.VM_DASD_Region_Common_Table as t1, WAVE.VM_DASD_Region_Common_Table as t2 WHERE t1.Region_ID < t2.Region_ID AND t1.Region_Name = t2.Region_Name AND t1.Region_Directory_ID = t2.Region_Directory_ID;
ALTER TABLE `WAVE`.`VM_DASD_Region_Common_Table` ADD UNIQUE INDEX `Region_Name_Per_Directory` (`Region_Name`, `Region_Directory_ID`);
INSERT INTO `BTS_Schedule_Table` (`BTS_Schedule_Entry_Workunit_Schedule_Type`, `BTS_Schedule_Entry_Workunit_Schedule_Parms`, `BTS_Schedule_Entry_Workunit_Request`, `BTS_Schedule_Entry_Workunit_Parameters`, `BTS_Schedule_Entry_Workunit_XML`, `BTS_Schedule_Entry_Workunit_Initiator`, `BTS_Schedule_Entry_Request_Status`, `BTS_Schefule_Entry_LastRun`) VALUES ('EVERY', '24 HOURS', 'com.CSL.WAVE.BTS.Request.Queueable.BTSQueueableRequestKnowledgeBaseBackup', '', '', 'WAVEBTSScheduler', '0', '0000-00-00 00:00:00');
UPDATE WAVE_External_Resource_Messages_Short_US SET Message = 'There was an internal error processing the request in the directory manager.' WHERE Message_IDX = 13;
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (NULL, 'Internal directory manager error code: 1181.  Refer to your directory manager manual for details on this error code.\r\nAlso check the \'Installation prerequisites\' section about configuring\r\nthe z/VM System Management Application Programming Interface (SMAPI) in the IBM Wave Administration Guide.');
SET @last_id_in_DetailMSG = LAST_INSERT_ID();
INSERT INTO WAVE_External_Call_Messages VALUES
('WAVAPI540196E', 'ConnectionTozVMAPIVM54', '*GENERAL*', 596, 1181, 13, @last_id_in_DetailMSG),
('WAVAPI620196E', 'ConnectionTozVMAPIVM62', '*GENERAL*', 596, 1181, 13, @last_id_in_DetailMSG),
('WAVAPI630196E', 'ConnectionTozVMAPIVM63', '*GENERAL*', 596, 1181, 13, @last_id_in_DetailMSG);
ALTER Table `WAVE`.`WAVE_Virtual_Network_Segment_Table` ADD COLUMN VNS_Enabled TINYINT NOT NULL default true;
ALTER Table `WAVE`.`VM_DASD_Region_Common_Table` MODIFY `Region_Vol_ID` VARCHAR(10000);