UPDATE `WAVE`.`WAVE_Parameter_Table` SET `Parameter_Value`='1.2.0.3' WHERE `Parameter_Name`='WAVEDB_Version';

ALTER TABLE `WAVE`.`WAVE_Messages`  ADD COLUMN `WAVE_Message_Group` VARCHAR(255) NULL AFTER `WAVE_Message_Description`;
ALTER TABLE `WAVE`.`WAVE_Messages` drop column WAVE_Message_Type;
ALTER TABLE `WAVE`.`WAVE_Messages` drop column WAVE_Message_Debug_Level;
rename table WAVE_Messages to WAVE_Audit_Messages_Templates;
delete from WAVE_Audit_Messages_Templates where WAVE_Message_Code like 'HWV%';
insert into WAVE_Audit_Messages_Templates (WAVE_Message_Code, WAVE_Message_Text , WAVE_Message_Description, WAVE_Message_Group) values
('HWVB0292I','Add IBM Wave work unit worker successful; now there are @p@ workers','','Background Task Scheduler (BTS)'),
('HWVB5292E','Add IBM Wave work unit worker failed; now there are @p@ workers','','Background Task Scheduler (BTS)'),
('HWVB0293I','Remove IBM Wave work unit worker successful; now there are @p@ workers','','Background Task Scheduler (BTS)'),
('HWVB5293E','Remove IBM Wave work unit worker failed; now there are @p@ workers','','Background Task Scheduler (BTS)'),
('HWVB0294I','Delete IBM Wave work unit @p@ successful','','Background Task Scheduler (BTS)'),
('HWVB5294E','Delete IBM Wave work unit @p@ failed','','Background Task Scheduler (BTS)'),
('HWVB0295I','Reset BTS statistics until next error occurred for @p@ @p@ successful','','Background Task Scheduler (BTS)'),
('HWVB5295E','Reset BTS statistics until next error occurred for @p@ @p@ failed, reason=@p@','','Background Task Scheduler (BTS)'),
('HWVB0296I','Rotate IBM Wave system COR new system COR @p@ successful','','Background Task Scheduler (BTS)'),
('HWVB5296E','Rotate IBM Wave system COR new system COR @p@ failed','','Background Task Scheduler (BTS)'),
('HWVB0297I','Delete IBM Wave system COR @p@ successful','','Background Task Scheduler (BTS)'),
('HWVB5297E','Delete IBM Wave system COR @p@ failed','','Background Task Scheduler (BTS)'),
('HWVB0298I','Clean IBM Wave system COR successful','','Background Task Scheduler (BTS)'),
('HWVB5298E','Clean IBM Wave system COR failed','','Background Task Scheduler (BTS)'),
('HWVB0299I','Deactivate IBM Wave schedule entry @p@ for @p@ successful','','Background Task Scheduler (BTS)'),
('HWVB5299E','Deactivate IBM Wave schedule entry @p@ for @p@ failed','','Background Task Scheduler (BTS)'),
('HWVB0300I','Activate IBM Wave schedule entry @p@ for @p@ successful','','Background Task Scheduler (BTS)'),
('HWVB5300E','Activate IBM Wave schedule entry @p@ for @p@ failed','','Background Task Scheduler (BTS)'),
('HWVB0301I','Change IBM Wave schedule entry @p@ for @p@ successful, old_value=@p@, new_value=@p@','','Background Task Scheduler (BTS)'),
('HWVB5301E','Change IBM Wave schedule entry @p@ for @p@ failed','','Background Task Scheduler (BTS)'),
('HWVB0302I','Deactivate all IBM Wave schedule entries for directory @p@ successful','','Background Task Scheduler (BTS)'),
('HWVB5302E','Deactivate all IBM Wave schedule entries for directory @p@ failed','','Background Task Scheduler (BTS)'),
('HWVB0303I','Activate all IBM Wave schedule entries for directory @p@ successful','','Background Task Scheduler (BTS)'),
('HWVB5303E','Activate all IBM Wave schedule entries for directory @p@ failed','','Background Task Scheduler (BTS)'),
('HWVB0304I','Deactivate all IBM Wave scheduled entries for z/VM system @p@ successful','','Background Task Scheduler (BTS)'),
('HWVB5304E','Deactivate all IBM Wave scheduled entries for z/VM system @p@ failed','','Background Task Scheduler (BTS)'),
('HWVB0305I','Activate all IBM Wave schedules for z/VM system @p@ successful','','Background Task Scheduler (BTS)'),
('HWVB5305E','Activate all IBM Wave schedules for z/VM system @p@ failed','','Background Task Scheduler (BTS)'),
('HWVB0306I','Backup IBM Wave knowledge base to file name @p@ successful','','Background Task Scheduler (BTS)'),
('HWVB5306E','Backup IBM Wave knowledge base to file name @p@ failed, reason=@p@','','Background Task Scheduler (BTS)'),
('HWVB0307I','(***Reserved ***) Write audit message @p@ success','','Audit '),
('HWVB5307E','(*** Hardcoded ***) Write audit message @p@ failed, reason=@p@','','Audit '),
('HWVB0308I','Change ignore BTS statistics until next error occurred for @p@ @p@ successful, old_value=@p@, new_value=@p@','','Background Task Scheduler (BTS)'),
('HWVB5308E','Change ignore BTS statistics until next error occurred for @p@ @p@ failed, reason=@p@','','Background Task Scheduler (BTS)'),
('HWVB0309I','Change permanently ignore BTS statistics for @p@ @p@ successful, old_value=@p@, new_value=@p@','','Background Task Scheduler (BTS)'),
('HWVB5309E','Change permanently ignore BTS statistics for @p@ @p@ failed, reason=@p@','','Background Task Scheduler (BTS)'),
('HWVB5400E','Change IBM Wave parameter @p@ failed, reason=@p@','','Wave Parameters'),
('HWVB0400I','Change IBM Wave parameter @p@ successful, old_value=@p@, new_value=@p@','','Wave Parameters'),
('HWVB5401E','Change IBM Wave security parameter @p@ failed, reason=@p@','','Wave Parameters'),
('HWVB0401I','Change IBM Wave security parameter @p@ successful, old_value=@p@, new_value=@p@','','Wave Parameters'),
('HWVB5402E','Change IBM Wave audit parameter @p@ failed, reason=@p@','','Wave Parameters'),
('HWVB0402I','Change IBM Wave audit parameter @p@ successful, old_value=@p@, new_value=@p@','','Wave Parameters'),
('HWVB5403E','Clean work unit @p@ failed, reason=@p@','','Wave Parameters'),
('HWVB0403I','Clean work unit @p@ successful','','Wave Workunit'),
('HWVB5404E','Delete work unit @p@ failed, reason=@p@','','Wave Workunit'),
('HWVB0404I','Delete work unit @p@ successful','','Wave Workunit'),
('HWVB0405I','Delete IBM Wave COR entry @p@ successful','','Wave Workunit'),
('HWVB5405E','Delete IBM Wave COR entry @p@ failed, reason=@p@','','Wave Workunit'),
('HWVB0406I','Clean BTS work units successful','','Wave Workunit'),
('HWVB5406E','Clean BTS work units failed, reason=@p@','','Wave Workunit'),
('HWVB0407I','Truncate of audit messages older than @p@ days to file @p@ successful','','Audit '),
('HWVB5407E','Truncate of audit messages older than @p@ days to file @p@ failed, reason=@p@','','Audit '),
('HWVB0270I','Regenerate IBM Wave encryption key successful','','Security'),
('HWVB5270E','Regenerate IBM Wave encryption key failed, reason=@p@','','Security'),
('HWVB0271I','Log in from @p@ successful','','Security'),
('HWVB5271E','Log in from @p@ failed, reason=@p@','','Security'),
('HWVB0272I','Log out successful','','Security'),
('HWVB5272E','Log out failed, reason=@p@','','Security'),
('HWVB0273I','Terminate successful','','Security'),
('HWVB5273E','Terminate failed, reason=@p@','','Security'),
('HWVB0274I','Forced log out for IBM Wave user @p@ successful','','Security'),
('HWVB5274E','Forced log out for IBM Wave user @p@ failed, reason=@p@','','Security'),
('HWVB0275I','(*** Reserved ***) Invalid password from @p@','','Security'),
('HWVB5275E','Invalid password from @p@','','Security'),
('HWVB0276I','Change TVP-API user password successful','','Security'),
('HWVB5276E','Change TVP-API user password failed, reason=@p@','','Security'),
('HWVB0277I','Set service machine minidisk passwords in knowledgebase successful','','Security'),
('HWVB5277E','Set service machine minidisk passwords in knowledgebase failed, reason=@p@','','Security'),
('HWVB0278I','Verify request @p@ successful','','Security'),
('HWVB5278E','Verify request @p@ failed, reason=@p@','','Security'),
('HWVB0279I','Verify TVP-API for z/VM system @p@ successful','','Security'),
('HWVB5279E','Verify TVP-API for z/VM system @p@ failed, reason=@p@','','Security'),
('HWVB0280I','Suspend TVP-API for z/VM system @p@ successful','','Security'),
('HWVB5280E','Suspend TVP-API for z/VM system @p@ failed, reason=@p@','','Security'),
('HWVB0281I','Regenerate IBM Wave user SSH pair key successful','','Security'),
('HWVB5281E','Regenerate IBM Wave user SSH pair key failed','','Security'),
('HWVB0282I','Change Password for IBM Wave user @p@ successful','','Security'),
('HWVB5282E','Change Password for IBM Wave user @p@ failed, reason=@p@','','Security'),
('HWVB0310I','Suspend IBM Wave user @p@ successful','','Wave User Management'),
('HWVB5310E','Suspend IBM Wave user @p@ failed, reason=@p@','','Wave User Management'),
('HWVB0311I','Suspend IBM Wave user @p@ successful; invalid password entered @p@ times','','Wave User Management'),
('HWVB5311E','Suspend IBM Wave user @p@ failed; invalid password entered @p@ times, reason=@p@','','Wave User Management'),
('HWVB0312I','Suspend IBM Wave user @p@ successful; id not used for @p@ days','','Wave User Management'),
('HWVB5312E','Suspend IBM Wave user @p@ failed; id not used for @p@ days, reason=@p@','','Wave User Management'),
('HWVB0313I','Create IBM Wave user @p@ successful','','Wave User Management'),
('HWVB5313E','Create IBM Wave user @p@ failed, reason=@p@','','Wave User Management'),
('HWVB0314I','Update IBM Wave user @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Wave User Management'),
('HWVB5314E','Update IBM Wave user @p@ failed, field_name=@p@, reason=@p@','','Wave User Management'),
('HWVB0315I','Add scope @p@ permission @p@ for IBM Wave user @p@ successful ','','Wave User Management'),
('HWVB5315E','Add scope @p@ permission @p@ for IBM Wave user @p@ failed, reason=@p@','','Wave User Management'),
('HWVB0316I','Delete scope @p@ permission @p@ for IBM Wave user @p@ successful ','','Wave User Management'),
('HWVB5316E','Delete scope @p@ permission @p@ for IBM Wave user @p@ failed, reason=@p@','','Wave User Management'),
('HWVB0317I','Update scope @p@ permission @p@ for IBM Wave user @p@ successful ','','Wave User Management'),
('HWVB5317E','Update scope @p@ permission @p@ for IBM Wave user @p@ failed, reason=@p@','','Wave User Management'),
('HWVB0318I','Create IBM Wave profile @p@ successful ','','Wave User Management'),
('HWVB5318E','Create IBM Wave profile @p@ failed, reason=@p@','','Wave User Management'),
('HWVB0319I','Update IBM Wave profile @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Wave User Management'),
('HWVB5319E','Update IBM Wave profile @p@ failed, field_name=@p@, reason=@p@','','Wave User Management'),
('HWVB0320I','Delete IBM Wave profile @p@ successful ','','Wave User Management'),
('HWVB5320E','Delete IBM Wave profile @p@ failed, reason=@p@','','Wave User Management'),
('HWVB0321I','Connect IBM Wave profile @p@ to LDAP group @p@ successful','','Wave User Management'),
('HWVB5321E','Connect IBM Wave profile @p@ to LDAP group @p@ failed, reason=@p@','','Wave User Management'),
('HWVB0322I','Disconnect IBM Wave profile @p@ from LDAP group @p@ successful','','Wave User Management'),
('HWVB5322E','Disconnect IBM Wave profile @p@ from LDAP group @p@ failed, reason=@p@','','Wave User Management'),
('HWVB0323I','Add scope @p@ permission @p@ to IBM Wave profile @p@ successful ','','Wave User Management'),
('HWVB5323E','Add scope @p@ permission @p@ to IBM Wave profile @p@ failed, reason=@p@','','Wave User Management'),
('HWVB0324I','Delete scope @p@ permission @p@ from IBM Wave profile @p@ successful ','','Wave User Management'),
('HWVB5324E','Delete scope @p@ permission @p@ from IBM Wave profile @p@ failed, reason=@p@','','Wave User Management'),
('HWVB0325I','Update scope @p@ permission @p@ for IBM Wave profile @p@ successful ','','Wave User Management'),
('HWVB5325E','Update scope @p@ permission @p@ for IBM Wave profile @p@ failed, reason=@p@','','Wave User Management'),
('HWVB0326I','Clone from IBM Wave user @p@ to user @p@ successful','','Wave User Management'),
('HWVB5326E','Clone from IBM Wave user @p@ to user @p@ failed, reason=@p@','','Wave User Management'),
('HWVB0327I','Clone from IBM Wave profile @p@ to profile @p@ successful ','','Wave User Management'),
('HWVB5327E','Clone from IBM Wave profile @p@ to profile @p@ failed, reason=@p@','','Wave User Management'),
('HWVB0101I','Create CPC @p@ successful','','CPC'),
('HWVB5101E','Create CPC @p@ failed, reason=@p@','','CPC'),
('HWVB0102I','Update CPC @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','CPC'),
('HWVB5102E','Update CPC @p@ failed, field_name=@p@, reason=@p@','','CPC'),
('HWVB0103I','Delete CPC @p@ successful','','CPC'),
('HWVB5103E','Delete CPC @p@ failed, reason=@p@','','CPC'),
('HWVB0110I','Create z/VM system @p@ successful','','System'),
('HWVB5110E','Create z/VM system @p@ failed, reason=@p@','','System'),
('HWVB0111I','Auto-detect z/VM system @p@ successful','','System'),
('HWVB5111E','Auto-detect z/VM system @p@ failed, reason=@p@','','System'),
('HWVB0112I','Update z/VM system @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','System'),
('HWVB5112E','Update z/VM system @p@ failed, field_name=@p@, reason=@p@','','System'),
('HWVB0113I','Delete z/VM system @p@ successful','','System'),
('HWVB5113E','Delete z/VM system @p@ failed, reason=@p@','','System'),
('HWVB0114I','Assign directory @p@ for z/VM system @p@ successful ','','System'),
('HWVB5114E','Assign directory @p@ for z/VM system @p@ failed, reason=@p@','','System'),
('HWVB0115I','Shutdown started for z/VM system @p@ successful','','System'),
('HWVB5115E','Shutdown for z/VM system @p@ failed, reason=@p@','','System'),
('HWVB0116I','Purge spool for z/VM system @p@ successful','','System'),
('HWVB5116E','Purge spool for z/VM system @p@ failed, reason=@p@','','System'),
('HWVB0117I','Recycle SMAPI for z/VM system @p@ successful','','System'),
('HWVB5117E','Recycle SMAPI for z/VM system @p@ failed, reason=@p@','','System'),
('HWVB0118I','Recycle service machine z/VM system @p@ successful','','System'),
('HWVB5118E','Recycle service machine for z/VM system @p@ failed, reason=@p@','','System'),
('HWVB0119I','START DASD volume @p@ on z/VM system @p@ began successful','','System'),
('HWVB5119E','START DASD volume @p@ on z/VM system @p@ failed, reason=@p@','','System'),
('HWVB0120I','DRAIN DASD volume @p@ on z/VM system @p@ began successful','','System'),
('HWVB5120E','DRAIN DASD volume @p@ on z/VM system @p@ failed, reason=@p@','','System'),
('HWVB1000I','Discovered update of z/VM system @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','System'),
('HWVB6000E','Discovered update of z/VM system @p@ failed, field_name=@p@, reason=@p@','','System'),
('HWVB0190I','Create guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5190E','Create guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0191I','Directory update for guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5191E','Directory update for guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0192I','Update guest @p@ on z/VM system @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Guest'),
('HWVB5192E','Update guest @p@ on z/VM system @p@ failed, field_name=@p@, reason=@p@','','Guest'),
('HWVB0193I','Delete guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5193E','Delete guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0194I','Remove guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5194E','Remove guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0195I','Activate guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5195E','Activate guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0196I','Deactivate guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5196E','Deactivate guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0197I','Recycle guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5197E','Recycle guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0198I','Suspend guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5198E','Suspend guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0199I','Resume guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5199E','Resume guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0200I','Connect to VNS @p@ VN @p@ @p@ guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5200E','Connect to VNS @p@ VN @p@ @p@ guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0201I','Disconnect from VNS @p@ VN @p@ @p@ guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5201E','Disconnect from VNS @p@ VN @p@ @p@ guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0202I','Clone of guest definitions from guest @p@ on z/VM system @p@ to guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5202E','Clone of guest definitions from guest @p@ on z/VM system @p@ to guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0203I','Duplicate z/VM definitions from guest @p@ to guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5203E','Duplicate z/VM definitions from guest @p@ to guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0204I','Init for IBM Wave guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5204E','Init for IBM Wave guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0205I','Refresh Linux data for guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5205E','Refresh Linux data for guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0206I','Relocate from z/VM system @p@ guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5206E','Relocate from z/VM system @p@ guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0207I','AGC run guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5207E','AGC run guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0208I','Execute REXX @p@ guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5208E','Execute REXX @p@ guest @p@ on z/VM system @p@, reason=@p@','','Guest'),
('HWVB0209I','Run script @p@ guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5209E','Run script @p@ guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0210I','Manage storage on guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5210E','Manage storage on guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0211I','Send message to guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5211E','Send message to guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0212I','Create account @p@ successful ','','Guest Management'),
('HWVB5212E','Create account @p@ failed, reason=@p@','','Guest Management'),
('HWVB0213I','Update account @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Guest Management'),
('HWVB5213E','Update account @p@ failed, reason=@p@','','Guest Management'),
('HWVB0214I','Delete account @p@ successful','','Guest Management'),
('HWVB5214E','Delete account @p@ failed, reason=@p@','','Guest Management'),
('HWVB0215I','Add disk space @p@ size @p@ @p@ for guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5215E','Add disk space @p@ size @p@ @p@ for guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0216I','Create @p@ file system using @p@ for guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5216E','Create @p@ file system using @p@ for guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0217I','Create logical volume @p@ for guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5217E','Create logical volume @p@ for guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0218I','Add new CKD minidisk @p@ size @p@ for guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5218E','Add new CKD minidisk @p@ size @p@ for guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0219I','Add new EDEV minidisk @p@ size @p@ for guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5219E','Add new EDEV minidisk @p@ size @p@ for guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0220I','Create volume group @p@ for guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5220E','Create volume group @p@ for guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0221I','Resize file system @p@ for guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5221E','Resize file system @p@ for guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0222I','Set boot device @p@ @p@ for guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5222E','Set boot device @p@ @p@ for guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0223I','Create @p@ partition for guest @p@ successful','','Guest'),
('HWVB5223E','Create @p@ partition for guest @p@ failed, reason=@p@','','Guest'),
('HWVB1002I','Discovered guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB6002E','Discovered guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB1003I','Discovered update of guest @p@ on z/VM system @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Guest'),
('HWVB6003E','Discovered update of guest @p@ on z/VM system @p@ failed, field_name=@p@ reason=@p@','','Guest'),
('HWVB1004I','Discovered delete of guest @p@ on z/VM system @p@ successful; marked inconsistent','','Guest'),
('HWVB6004E','Discovered delete of guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB1030I','Discovered profile @p@ on z/VM system @p@ successful','','Guest'),
('HWVB6030E','Discovered profile @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB1031I','Discovered update of profile @p@ on z/VM system @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Guest'),
('HWVB6031E','Discovered update of profile @p@ on z/VM system @p@ failed, field_name=@p@ reason=@p@','','Guest'),
('HWVB1032I','Discovered delete of profile @p@ on z/VM system @p@ successful; marked inconsistent','','Guest'),
('HWVB6032E','Discovered delete of profile @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB1035I','Discovered account @p@ on z/VM system @p@ successful','','Guest'),
('HWVB6035E','Discovered account @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB1036I','Discovered update of account @p@ on z/VM system @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Guest'),
('HWVB6036E','Discovered update of account @p@ on z/VM system @p@ failed, field_name=@p@ reason=@p@','','Guest'),
('HWVB1037I','Discovered delete of account @p@ on z/VM system @p@ successful; marked inconsistent','','Guest'),
('HWVB6037E','Discovered delete of account @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0150I','Create prototype @p@ on z/VM system @p@ successful','','Prototype'),
('HWVB5150E','Create prototype @p@ on z/VM system @p@ failed, reason=@p@','','Prototype'),
('HWVB0151I','Update prototype @p@ on z/VM system @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Prototype'),
('HWVB5151E','Update prototype @p@ on z/VM system @p@ failed, field_name=@p@, reason=@p@','','Prototype'),
('HWVB0152I','Delete prototype @p@ on z/VM system @p@ successful','','Prototype'),
('HWVB5152E','Delete prototype @p@ on z/VM system @p@ failed, reason=@p@','','Prototype'),
('HWVB0153I','Remove prototype @p@ on z/VM system @p@ successful','','Prototype'),
('HWVB5153E','Remove prototype @p@ on z/VM system @p@ failed, reason=@p@','','Prototype'),
('HWVB0154I','Associate guest @p@ prototype @p@ on z/VM system @p@ successful','','Prototype'),
('HWVB5154E','Associate guest @p@ prototype @p@ on z/VM system @p@ failed, reason=@p@','','Prototype'),
('HWVB0155I','Disassociate prototype @p@ on z/VM system @p@ from guest @p@ successful','','Prototype'),
('HWVB5155E','Disassociate prototype @p@ on z/VM system @p@ from guest @p@ failed, reason=@p@','','Prototype'),
('HWVB0156I','Remove prototype @p@ on z/VM system @p@ successful','','Prototype'),
('HWVB5156E','Remove prototype @p@ on z/VM system @p@ failed, reason=@p@','','Prototype'),
('HWVB0157I','Duplicate from prototype @p@ to prototype @p@ on z/VM system @p@ successful','','Prototype'),
('HWVB5157E','Duplicate from prototype @p@ to prototype @p@ on z/VM system @p@ failed, reason=@p@','','Prototype'),
('HWVB1006I','Discovered prototype @p@ on z/VM system @p@ successful','','Prototype'),
('HWVB6006E','Discovered prototype @p@ on z/VM system @p@ failed, reason=@p@','','Prototype'),
('HWVB1007I','Discovered update of prototype @p@ on z/VM system @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Prototype'),
('HWVB6007E','Discovered update of prototype @p@ on z/VM system @p@ failed, field_name=@p@ reason=@p@','','Prototype'),
('HWVB1008I','Discovered delete of prototype @p@ on z/VM system @p@ successful, marked inconsistent','','Prototype'),
('HWVB6008E','Discovered delete of prototype @p@ on z/VM system @p@ failed, reason=@p@','','Prototype'),
('HWVB0135I','Create network @p@ @p@ on z/VM system @p@ successful','','Network'),
('HWVB5135E','Create network @p@ @p@ on z/VM system @p@ failed, reason=@p@','','Network'),
('HWVB0136I','Update network @p@ @p@ on z/VM system @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Network'),
('HWVB5136E','Update network @p@ @p@ on z/VM system @p@ failed, field_name=@p@, reason=@p@','','Network'),
('HWVB0137I','Delete network @p@ @p@ on z/VM system @p@ successful','','Network'),
('HWVB5137E','Delete network @p@ @p@ on z/VM system @p@ failed, reason=@p@','','Network'),
('HWVB0138I','Remove network @p@ @p@ on z/VM system @p@ successful','','Network'),
('HWVB5138E','Remove network @p@ @p@ on z/VM system @p@ failed, reason=@p@','','Network'),
('HWVB0139I','Recreate network @p@ @p@ on z/VM system @p@ successful','','Network'),
('HWVB5139E','Recreate network @p@ @p@ on z/VM system @p@ failed, reason=@p@','','Network'),
('HWVB0140I','Create virtual network segment @p@ successful','','Virtual Network Segment (VNS)'),
('HWVB5140E','Create virtual network segment @p@ failed, reason=@p@','','Virtual Network Segment (VNS)'),
('HWVB0141I','Update virtual network segment @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Virtual Network Segment (VNS)'),
('HWVB5141E','Update virtual network segment @p@ failed, field_name=@p@, reason=@p@','','Virtual Network Segment (VNS)'),
('HWVB0142I','Delete virtual network segment @p@ successful','','Virtual Network Segment (VNS)'),
('HWVB5142E','Delete virtual network segment @p@ failed, reason=@p@','','Virtual Network Segment (VNS)'),
('HWVB0143I','Connect @p@ @p@ to virtual network segment @p@ successful','','Virtual Network Segment (VNS)'),
('HWVB5143E','Connect @p@ @p@ to virtual network segment @p@ failed, reason=@p@','','Virtual Network Segment (VNS)'),
('HWVB0144I','Disconnect @p@ @p@ from virtual network segment @p@ successful','','Virtual Network Segment (VNS)'),
('HWVB5144E','Disconnect @p@ @p@ from virtual network segment @p@ failed, reason=@p@','','Virtual Network Segment (VNS)'),
('HWVB1010I','Discovered network @p@ @p@ on z/VM system @p@ successful','','Network'),
('HWVB6010E','Discovered network @p@ @p@ on z/VM system @p@ failed, reason=@p@','','Network'),
('HWVB1011I','Discovered update network @p@ @p@ on z/VM system @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Network'),
('HWVB6011E','Discovered update network @p@ @p@ on z/VM system @p@ failed, field_name=@p@ reason=@p@','','Network'),
('HWVB1012I','Discovered delete network @p@ @p@ on z/VM system @p@ successful; marked inconsistent','','Network'),
('HWVB6012E','Discovered delete network @p@ @p@ on z/VM system @p@ failed, reason=@p@','','Network'),
('HWVB0160I','Create storage DASD group @p@ on directory @p@ successful','','Storage'),
('HWVB5160E','Create storage DASD group @p@ on directory @p@ failed, reason=@p@','','Storage'),
('HWVB0161I','Update storage DASD group @p@ on directory @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Storage'),
('HWVB5161E','Update storage DASD group @p@ on directory @p@ failed, field_name=@p@, reason=@p@','','Storage'),
('HWVB0162I','Delete storage DASD group @p@ on directory @p@ successful','','Storage'),
('HWVB5162E','Delete storage DASD group @p@ on directory @p@ failed, reason=@p@','','Storage'),
('HWVB0163I','Remove storage DASD group @p@ on directory @p@ successful','','Storage'),
('HWVB5163E','Remove storage DASD group @p@ on directory @p@ failed, reason=@p@','','Storage'),
('HWVB1014I','Discovered DASD group @p@ on z/VM system @p@ successful','','Storage'),
('HWVB6014E','Discovered DASD group @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB1015I','Discovered update of DASD group @p@ on z/VM system @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Storage'),
('HWVB6015E','Discovered update of DASD group @p@ on z/VM system @p@ failed, field_name=@p@, reason=@p@','','Storage'),
('HWVB1016I','Discovered delete of DASD group @p@ on z/VM system @p@ successful','','Storage'),
('HWVB6016E','Discovered delete of DASD group @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB0165I','Create storage DASD region @p@ on directory @p@ successful','','Storage'),
('HWVB5165E','Create storage DASD region @p@ on directory @p@ failed, reason=@p@','','Storage'),
('HWVB0166I','Delete storage DASD region @p@ on directory @p@ successful','','Storage'),
('HWVB5166E','Delete storage DASD region @p@ on directory @p@ failed, reason=@p@','','Storage'),
('HWVB0167I','Assign to DASD group @p@ storage DASD region/extent from DASD volume @p@ on directory @p@ successful','','Storage'),
('HWVB5167E','Assign to DASD group @p@ storage DASD region/extent from DASD volume @p@ on directory @p@ failed, reason=@p@','','Storage'),
('HWVB0168I','Unassign from DASD group @p@ storage DASD region/extent from DASD volume @p@ on directory @p@ successful','','Storage'),
('HWVB5168E','Unassign from DASD group @p@ storage DASD region/extent from DASD volume @p@ on directory @p@ failed, reason=@p@','','Storage'),
('HWVB1018I','Discovered DASD region @p@ on z/VM system @p@ successful','','Storage'),
('HWVB6018E','Discovered DASD region @p@ on z/VM system @p@ failed, reason=@p@ ','','Storage'),
('HWVB1019I','Discovered update of DASD region @p@ on z/VM system @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Storage'),
('HWVB6019E','Discovered update of DASD region @p@ on z/VM system @p@ failed, field_name=@p@, reason=@p@','','Storage'),
('HWVB1020I','Discovered delete of DASD region @p@ on z/VM system @p@ successful','','Storage'),
('HWVB6020E','Discovered delete of DASD region @p@ on z/VM system @p@ failed, reason=@p@ ','','Storage'),
('HWVB0170I','Remove storage DASD volume @p@ on z/VM system @p@ successful','','Storage'),
('HWVB5170E','Remove storage DASD volume @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB0171I','Vary offline storage DASD volume @p@ on z/VM system @p@ successful','','Storage'),
('HWVB5171E','Vary offline storage DASD volume @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB0172I','Vary online storage DASD volume @p@ on z/VM system @p@ successful','','Storage'),
('HWVB5172E','Vary online storage DASD volume @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB0173I','Add to CP-own list for storage DASD volume @p@ on z/VM system @p@ successful ','','Storage'),
('HWVB5173E','Add to CP-own list for storage DASD volume @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB0174I','Attach to @p@@p@ storage DASD volume @p@ on z/VM system @p@ successful','','Storage'),
('HWVB5174E','Attach to @p@@p@ storage DASD volume @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB0175I','Detach from @p@@p@ storage DASD volume @p@ on z/VM system @p@ successful','','Storage'),
('HWVB5175E','Detach from @p@@p@ storage DASD volume @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB0176I','Format storage DASD volume @p@ on z/VM system @p@ successful','','Storage'),
('HWVB5176E','Format storage DASD volume @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB0177I','Mark as @p@ storage DASD volume @p@ on z/VM system @p@ successful','','Storage'),
('HWVB5177E','Mark as @p@ storage DASD volume @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB0178I','Unmark from @p@ storage DASD volume @p@ on z/VM system @p@ successful','','Storage'),
('HWVB5178E','Unmark from @p@ storage DASD volume @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB0179I','Define DASD region @p@ storage DASD volume @p@ on z/VM system @p@ successful','','Storage'),
('HWVB5179E','Define DASD region @p@ storage DASD volume @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB0180I','Undefine DASD region @p@ storage DASD volume @p@ on z/VM system @p@ successful','','Storage'),
('HWVB5180E','Undefine DASD region @p@ storage DASD volume @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB0181I','Assign to DASD group @p@ storage for DASD volume @p@ on z/VM system @p@ successful','','Storage'),
('HWVB5181E','Assign to DASD group @p@ storage for DASD volume @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB0182I','Create storage DASD volume @p@ @p@ on z/VM system @p@ successful','','Storage'),
('HWVB5182E','Create storage DASD volume @p@ @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB0183I','Update storage DASD volume @p@ @p@ on z/VM system @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Storage'),
('HWVB5183E','Update storage DASD volume @p@ @p@ on z/VM system @p@ failed, field_name=@p@, reason=@p@','','Storage'),
('HWVB0184I','Delete storage DASD volume @p@ @p@ on z/VM system @p@ successful','','Storage'),
('HWVB5184E','Delete storage DASD volume @p@ @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB1022I','Discovered DASD volume @p@ on z/VM system @p@ successful','','Storage'),
('HWVB6022E','Discovered DASD volume @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB1023I','Discovered update of DASD volume @p@ on z/VM system @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Storage'),
('HWVB6023E','Discovered update of DASD volume @p@ on z/VM system @p@ failed, field_name=@p@, reason=@p@','','Storage'),
('HWVB1024I','Discovered delete of DASD volume @p@ on z/VM system @p@ successful','','Storage'),
('HWVB6024E','Discovered delete of DASD volume @p@ on z/VM system @p@ failed, reason=@p@','','Storage'),
('HWVB0390I','Create IBM Wave report template @p@ successful','','Reports'),
('HWVB5390E','Create IBM Wave report template @p@ failed, reason=@p@','','Reports'),
('HWVB0391I','Update IBM Wave report template @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Reports'),
('HWVB5391E','Update IBM Wave report template @p@ failed, field_name=@p@, reason=@p@','','Reports'),
('HWVB0392I','Delete IBM Wave report template @p@ successful','','Reports'),
('HWVB5392E','Delete IBM Wave report template @p@ failed, reason=@p@','','Reports'),
('HWVB0393I','Generate IBM Wave report template @p@ successful','','Reports'),
('HWVB5393E','Generate IBM Wave report template @p@ failed, reason=@p@','','Reports'),
('HWVB0330I','Create IBM Wave project @p@ successful','','Guest Management'),
('HWVB5330E','Create IBM Wave project @p@ failed, reason=@p@','','Guest Management'),
('HWVB0331I','Update IBM Wave project @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Guest Management'),
('HWVB5331E','Update IBM Wave project @p@ failed, field_name=@p@, reason=@p@','','Guest Management'),
('HWVB0332I','Delete IBM Wave project @p@ successful','','Guest Management'),
('HWVB5332E','Delete IBM Wave project @p@ failed, reason=@p@','','Guest Management'),
('HWVB0333I','Create IBM Wave site defined group @p@ successful','','Guest Management'),
('HWVB5333E','Create IBM Wave site defined group @p@ failed, reason=@p@','','Guest Management'),
('HWVB0334I','Update IBM Wave site defined group @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Guest Management'),
('HWVB5334E','Update IBM Wave site defined group @p@ failed, field_name=@p@, reason=@p@ ','','Guest Management'),
('HWVB0335I','Delete IBM Wave site defined group @p@ successful','','Guest Management'),
('HWVB5335E','Delete IBM Wave site defined group @p@ failed, reason=@p@','','Guest Management'),
('HWVB0336I','Create AGC entry @p@ successful','','Guest Management'),
('HWVB5336E','Create AGC entry @p@ failed, reason=@p@','','Guest Management'),
('HWVB0337I','Update AGC entry @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Guest Management'),
('HWVB5337E','Update AGC entry @p@ failed, reason=@p@','','Guest Management'),
('HWVB0338I','Delete AGC entry @p@ successful','','Guest Management'),
('HWVB5338E','Delete AGC entry @p@ failed, reason=@p@','','Guest Management'),
('HWVB0339I','Change status of AGC entry @p@ from @p@ to @p@ successful','','Guest Management'),
('HWVB5339E','Change status of AGC entry @p@ from @p@ to @p@ failed, reason=@p@','','Guest Management'),
('HWVB0340I','Create custom attribute @p@ successful','','Guest Management'),
('HWVB5340E','Create custom attribute @p@ failed, reason=@p@','','Guest Management'),
('HWVB0341I','Update custom attribute @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Guest Management'),
('HWVB5341E','Update custom attribute @p@ failed, field_name=@p@, reason=@p@','','Guest Management'),
('HWVB0342I','Delete custom attribute @p@ successful','','Guest Management'),
('HWVB5342E','Delete custom attribute @p@ failed, reason=@p@','','Guest Management'),
('HWVB0350I','Create Linux repository @p@ successful','','Linux Repository'),
('HWVB5350E','Create Linux repository @p@ failed, reason=@p@','','Linux Repository'),
('HWVB0351I','Update Linux repository @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Linux Repository'),
('HWVB5351E','Update Linux repository @p@ failed, field_name=@p@, reason=@p@','','Linux Repository'),
('HWVB0352I','Delete Linux repository @p@ successful','','Linux Repository'),
('HWVB5352E','Delete Linux repository @p@ failed, reason=@p@','','Linux Repository'),
('HWVB0353I','Discover Linux repository @p@ successful','','Linux Repository'),
('HWVB5353E','Discover Linux repository @p@ failed, reason=@p@','','Linux Repository'),
('HWVB0354I','Verify Linux repository @p@ successful','','Linux Repository'),
('HWVB5354E','Verify Linux repository @p@ failed, reason=@p@','','Linux Repository'),
('HWVB0360I','Create device pool @p@ type @p@ successful','','Device Pools'),
('HWVB5360E','Create device pool @p@ type @p@ failed, reason=@p@','','Device Pools'),
('HWVB0361I','Update device pool @p@ type @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Device Pools'),
('HWVB5361E','Update device pool @p@ type @p@ failed, field_name=@p@, reason=@p@','','Device Pools'),
('HWVB0362I','Remove device pool @p@ type @p@ successful','','Device Pools'),
('HWVB5362E','Remove device pool @p@ type @p@ failed, reason=@p@','','Device Pools'),
('HWVB0363I','Associate device pool @p@ to z/VM system @p@ successful','','Device Pools'),
('HWVB5363E','Associate device pool @p@ to z/VM system @p@ failed, reason=@p@','','Device Pools'),
('HWVB0364I','Disassociate device pool @p@ from z/VM system @p@ successful','','Device Pools'),
('HWVB5364E','Disassociate device pool @p@ from z/VM system @p@ failed, reason=@p@','','Device Pools'),
('HWVB0365I','Transfer real device @p@ from device pool @p@ to device pool @p@ successful','','Device Pools'),
('HWVB5365E','Transfer real device @p@ from device pool @p@ to device pool @p@ failed, reason=@p@','','Device Pools'),
('HWVB0366I','Create managed entity @p@ successful','','Managed Entities'),
('HWVB5366E','Create managed entity @p@ failed, reason=@p@','','Managed Entities'),
('HWVB0367I','Update managed entity @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Managed Entities'),
('HWVB5367E','Update managed entity @p@ failed, reason=@p@','','Managed Entities'),
('HWVB0368I','Remove managed entity @p@ successful','','Managed Entities'),
('HWVB5368E','Remove managed entity @p@ failed, reason=@p@','','Managed Entities'),
('HWVB0369I','Connect VNS @p@ to managed entity @p@ successful','','Managed Entities'),
('HWVB5369E','Connect VNS @p@ to managed entity @p@ failed, reason=@p@','','Managed Entities'),
('HWVB0370I','Connect device pool @p@ to managed entity @p@ successful','','Managed Entities'),
('HWVB5370E','Connect device pool @p@ to managed entity @p@ failed, reason=@p@','','Managed Entities'),
('HWVB0371I','Disconnect VNS @p@ from managed entity @p@ successful','','Managed Entities'),
('HWVB5371E','Disconnect VNS @p@ from managed entity @p@ failed, reason=@p@','','Managed Entities'),
('HWVB0372I','Disconnect device pool @p@ from managed entity @p@ successful','','Managed Entities'),
('HWVB5372E','Disconnect device pool @p@ from managed entity @p@ failed, reason=@p@','','Managed Entities'),
('HWVB0373I','Connect WWPN @p@ to managed entity @p@ successful','','Managed Entities'),
('HWVB5373E','Connect WWPN @p@ to managed entity @p@ failed, reason=@p@','','Managed Entities'),
('HWVB1026I','Discovered real device @p@ @p@ on z/VM system @p@ successful','','Real Device'),
('HWVB6026E','Discovered real device @p@ @p@ on z/VM system @p@ failed, reason=@p@','','Real Device'),
('HWVB1027I','Discovered update of real device @p@ @p@ on z/VM system @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Real Device'),
('HWVB6027E','Discovered update of real device @p@ @p@ on z/VM system @p@ failed, field_name=@p@, reason=@p@','','Real Device'),
('HWVB1028I','Discovered delete of real device @p@ @p@ on z/VM system @p@ successful','','Real Device'),
('HWVB6028E','Discovered delete of real device @p@ @p@ on z/VM system @p@ failed, reason=@p@','','Real Device'),
('HWVB1040I','Discovered dedicate of real device @p@ @p@ to @p@ @p@ on z/VM system @p@ successful','','Real Device'),
('HWVB6040E','Discovered dedicate of real device @p@ @p@ to @p@ @p@ on z/VM system @p@ failed, reason=@p@','','Real Device'),
('HWVB1041I','Discovered dedicate remove of real device @p@ @p@ from @p@ @p@ on z/VM system @p@ successfu','','Real Device'),
('HWVB6041E','Discovered dedicate remove of real device @p@ @p@ from @p@ @p@ on z/VM system @p@ failed, reason=@p@','','Real Device'),
('HWVB0380I','Ignore attention required @p@ successful','','Attention Required'),
('HWVB5380E','Ignore attention required @p@ failed, reason=@p@','','Attention Required'),
('HWVB0381I','Unignore attention required @p@ successful','','Attention Required'),
('HWVB5381E','Unignore attention required @p@ failed, reason=@p@','','Attention Required'),
('HWVB0382I','Change attention required @p@ severity from @p@ to @p@ successful','','Attention Required'),
('HWVB5382E','Change attention required @p@ severity from @p@ to @p@ failed, reason=@p@','','Attention Required'),
('HWVB0383I','Reset attention required @p@ severity from @p@ to default @p@ successful','','Attention Required'),
('HWVB5383E','Reset attention required @p@ severity from @p@ to default @p@ failed, reason=@p@','','Attention Required'),
('HWVB0384I','Reset attention required @p@ ignore from @p@ to default @p@ successful','','Attention Required'),
('HWVB5384E','Reset attention required @p@ ignore from @p@ to default @p@ failed, reason=@p@','','Attention Required'),
('HWVB0395I','Create script @p@ successful','','Scripts'),
('HWVB5395E','Create script @p@ failed, reason=@p@','','Scripts'),
('HWVB0396I','Update script @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Scripts'),
('HWVB5396E','Update script @p@ failed, field_name=@p@, reason=@p@','','Scripts'),
('HWVB0397I','Delete script @p@ successful','','Scripts'),
('HWVB5397E','Delete script @p@ failed, reason=@p@','','Scripts'),
('HWVB0398I','IBM Wave script NFS synchronized successful','','Scripts'),
('HWVB5398E','IBM Wave script NFS synchronized failed, reason=@p@','','Scripts'),
('HWVB0051I','SMAPI API @p@ on z/VM system @p@ successful','','SMAPI'),
('HWVB5051E','SMAPI API @p@ on z/VM system @p@ failed, reason=@p@','','SMAPI'),
('HWVB0052I','IBM Wave service machine API @p@ on z/VM system @p@ successful','','Service Machine API'),
('HWVB5052E','IBM Wave service machine API @p@ on z/VM system @p@ failed, reason=@p@','','Service Machine API'),
('HWVB0053I','SSH connect by Linux user id @p@ to guest @p@ on z/VM system @p@ successful','','SSH Connection'),
('HWVB5053E','SSH connect by Linux user id @p@ to guest @p@ on z/VM system @p@ failed, reason=@p@','','SSH Connection'),
('HWVB0054I','SSH command @p@ on guest @p@ on z/VM system @p@ successful','','SSH Commands'),
('HWVB5054E','SSH command @p@ on guest @p@ on z/VM system @p@ failed, reason=@p@','','SSH Commands'),
('HWVB0055I','SSH authorized command @p@ on guest @p@ on z/VM system @p@ successful','','SSH Authorized Commands'),
('HWVB5055E','SSH authorized command @p@ on guest @p@ on z/VM system @p@ failed, reason=@p@','','SSH Authorized Commands'),
('HWVB0056I','SSH vmcp command @p@ on guest @p@ on z/VM system @p@ successful','','SSH VMCP Commands'),
('HWVB5056E','SSH vmcp command @p@ on guest @p@ on z/VM system @p@ failed, reason=@p@','','SSH VMCP Commands'),
('HWVB0057I','SSH disconnect from guest @p@ on z/VM system @p@ successful','','SSH Connection'),
('HWVB5057E','SSH disconnect from guest @p@ on z/VM system @p@ failed, reason=@p@','','SSH Connection'),
('HWVB0058I','(*** reserved ***) SSH terminate from guest @p@ on z/VM system @p@','','SSH Connection'),
('HWVB5058E','SSH terminate from guest @p@ on z/VM system @p@, reason=@p@','','SSH Connection'),
('HWVB0130I','Create directory @p@ successful','','Directory'),
('HWVB5130E','Create directory @p@ failed, reason=@p@','','Directory'),
('HWVB0131I','Delete directory @p@ successful','','Directory'),
('HWVB5131E','Delete directory @p@ failed, reason=@p@','','Directory'),
('HWVB0132I','Update directory @p@ successful, field_name=@p@, old_value=@p@, new_value=@p@','','Directory'),
('HWVB5132E','Update directory @p@ failed, field_name=@p@, reason=@p@','','Directory'),
('HWVB0133I','Assign z/VM system @p@ to directory @p@ successful','','Directory'),
('HWVB5133E','Assign z/VM system @p@ to directory @p@ failed, reason=@p@','','Directory'),
('HWVB0245I','Create IBM Wave service machine @p@ on z/VM system @p@ successful','','System'),
('HWVB5245E','Create IBM Wave service machine @p@ on z/VM system @p@ failed, reason=@p@','','System'),
('HWVB0246I','Deactivate IBM Wave service machine @p@ on z/VM system @p@ successful','','System'),
('HWVB5246E','Deactivate IBM Wave service machine @p@ on z/VM system @p@ failed, reason=@p@','','System'),
('HWVB0247I','Activate IBM Wave service machine @p@ on z/VM system @p@ successful','','System'),
('HWVB5247E','Activate IBM Wave service machine @p@ on z/VM system @p@ failed, reason=@p@','','System'),
('HWVB0248I','Populate IBM Wave service machine @p@ on z/VM system @p@ successful','','System'),
('HWVB5248E','Populate IBM Wave service machine @p@ on z/VM system @p@ failed, reason=@p@','','System'),
('HWVB0249I','Verify IBM Wave service machine @p@ on z/VM system @p@ successful','','System'),
('HWVB5249E','Verify IBM Wave service machine @p@ on z/VM system @p@ failed, reason=@p@','','System'),
('HWVB0250I','Build AUTOLOG service machine @p@ on z/VM system @p@ successful','','System'),
('HWVB5250E','Build AUTOLOG service machine @p@ on z/VM system @p@ failed, reason=@p@','','System'),
('HWVB0251I','Activate schedule for z/VM system @p@ successful','','System'),
('HWVB5251E','Activate schedule for z/VM system @p@ failed, reason=@p@','','System'),
('HWVB0252I','Dummy region @p@ on z/VM system @p@ successful','','System'),
('HWVB5252E','Dummy region @p@ on z/VM system @p@ failed, reason=@p@','','System'),
('HWVB0240I','Start Linux installation for guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5240E','Start Linux installation for guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0241I','Write Linux installation parameters for guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5241E','Write Linux installation parameters for guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0242I','Reset Linux installation for guest @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5242E','Reset Linux installation for guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0243I','Linux installation on guest @p@ complete. Check guest for completion information and status.','','Guest'),
('HWVB5243E','Linux installation on guest @p@ failed, reason=@p@','','Guest'),
('HWVB0230I','Clone using DDR @p@ for guest @p@ from @p@ for @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5230E','Clone using DDR @p@ for guest @p@ from @p@ for @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0231I','Clone using directory manager minidisk @p@ for guest @p@ from @p@ for @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5231E','Clone using directory manager minidisk @p@ for guest @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0232I','Cross system clone @p@ for guest @p@ on z/VM system @p@ from @p@ for @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5232E','Cross system clone @p@ for guest @p@ on z/VM system @p@ from @p@ for @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0233I','Dedicate device @p@ for guest @p@ as @p@ on z/VM system @p@ successful','','Guest'),
('HWVB5233E','Dedicate device @p@ for guest @p@ as @p@ on z/VM system @p@ failed, reason=@p@','','Guest'),
('HWVB0410I','Broadcast message successful','','Wave User Actions'),
('HWVB5410E','Broadcast message failed, reason=@p@','','Wave User Actions'),
('HWVB0010I','Start work unit @p@, token @p@, successful','','Workunit Internal'),
('HWVB5010E','(*** reserved ***) Start work unit @p@, token @p@, failed, reason=@p@','','Workunit Internal'),
('HWVB0011I','End work unit @p@, token @p@, successful','','Workunit Internal'),
('HWVB5011E','Work unit @p@, token @p@, aborted','','Workunit-Internal'),
('HWVE0001I','Wave Encryption Key successful','','Security'),
('HWVE5001E','Wave Encryption Key failed, reason=@p@','','Security'),
('HWVD0001I','Restore Database from file @p@ successful','','Security'),
('HWVD5001E','Restore Database from file @p@ failed, reason=@p@','','Security'),
('HWVP0001I','Reset IBM Wave user @p@ successful','','Security'),
('HWVP5001E','Reset IBM Wave user @p@ failed, reason=@p@','','Security'),
('HWVG0001I','Backup of audit messages to file @p@ successful','','GUI'),
('HWVG5001E','Backup of audit messages to file @p@ failed, reason=@p@','','GUI'),
('HWVG0002I','Truncate of audit messages older than @p@ days to file @p@ successful','','GUI'),
('HWVG5002E','Truncate of audit messages older than @p@ days to file @p@ failed, reason=@p@','','GUI'),
('HWVG0003I','Import file @p@ successful','','GUI'),
('HWVG5003E','(***Reserved ***) Import file @p@ failed, reason=@p@','','GUI'),
('HWVG0004I','Generate IBM Wave report @p@ type @p@ successful','','GUI'),
('HWVG5004E','Generate IBM Wave report @p@ type @p@ failed, reason=@p@','','GUI'),
('HWVG0010I','Enable single user mode for IBM Wave user @p@ successful','','GUI'),
('HWVG5010E','Enable single user mode for IBM Wave user @p@ failed, reason=@p@','','GUI'),
('HWVG0011I','Disable single user mode for IBM Wave user @p@ successful','','GUI'),
('HWVG5011E','Disable single user mode for IBM Wave user @p@ failed, reason=@p@','','GUI'),
('HWVG0012I','Force DEQ for WRS element @p@ successful','','GUI'),
('HWVG5012E','Force DEQ for WRS element @p@ failed, reason=@p@','','GUI');

CREATE TABLE WAVE_LOG_COPY LIKE WAVE_LOG;
INSERT INTO WAVE_LOG_COPY SELECT zVMsystem, WAVEuser, messageCode, Msg_Type, Msg, TimeStamp FROM WAVE_LOG;
DROP TABLE WAVE_LOG;

CREATE TABLE WAVE_LOG (
   zVMsystem VARCHAR(8) NOT NULL DEFAULT '',
   WAVEuser VARCHAR(255) NOT NULL DEFAULT '',
   messageCode VARCHAR(10) NOT NULL DEFAULT '',
   Severity ENUM('E','W','I','U') NOT NULL DEFAULT 'U',
   Msg Text NOT NULL DEFAULT '',
   TimeStamp BIGINT NOT NULL DEFAULT -1
)ENGINE=InnoDB;

CREATE INDEX TimeStamp on WAVE_LOG(TimeStamp);

INSERT INTO WAVE_LOG (zVMsystem, WAVEuser, messageCode, Severity, Msg, TimeStamp)
SELECT zVMsystem, WAVEuser, messageCode, Msg_Type, Msg, 
unix_timestamp(TimeStamp)*1000 FROM WAVE_LOG_COPY;

ALTER TABLE WAVE.WAVE_LOG
ADD COLUMN `Token` CHAR(45) NOT NULL DEFAULT '';

DROP TABLE WAVE_LOG_COPY;

rename table WAVE_LOG to WAVE_Audit_LOG;

INSERT INTO WAVE_External_Call_Messages VALUES
('WAVSQL67000I','ConnectionToSQLWAVEAudit','*GENERAL*',0,0,90,90),
('WAVSQL67001I','ConnectionToSQLWAVEAudit','*GENERAL*',0,4,90,90),
('WAVSQL67001W','ConnectionToSQLWAVEAudit','*GENERAL*',4,0,91,91),
('WAVSQL67002I','ConnectionToSQLWAVEAudit','*GENERAL*',0,8,90,90),
('WAVSQL67002W','ConnectionToSQLWAVEAudit','*GENERAL*',4,4,92,92),
('WAVSQL67003I','ConnectionToSQLWAVEAudit','*GENERAL*',0,12,90,90),
('WAVSQL67003W','ConnectionToSQLWAVEAudit','*GENERAL*',4,8,93,93),
('WAVSQL67004W','ConnectionToSQLWAVEAudit','*GENERAL*',4,12,94,94),
('WAVSQL67005E','ConnectionToSQLWAVEAudit','*GENERAL*',8,0,95,95),
('WAVSQL67006E','ConnectionToSQLWAVEAudit','*GENERAL*',8,4,96,96),
('WAVSQL67007E','ConnectionToSQLWAVEAudit','*GENERAL*',8,8,97,97),
('WAVSQL67008E','ConnectionToSQLWAVEAudit','*GENERAL*',8,12,98,98);

insert into WAVE_Parameter_Table (Parameter_Name, Parameter_Value) values ('AUDIT_SYSLOGD_PORT', '514');
insert into WAVE_Parameter_Table (Parameter_Name, Parameter_Value) values ('AUDIT_COLLECTED_GROUPS', '<?xml version="1.0" encoding="UTF-8"?>
<WAVE><Audit-Collection group="Automated Internal" collect="false" /><Audit-Collection group="Real Device" collect="true" /><Audit-Collection group="Scripts" collect="true" /><Audit-Collection group="Linux Repository" collect="true" /><Audit-Collection group="SSH Connection" collect="true" /><Audit-Collection group="Guest Management" collect="true" /><Audit-Collection group="Prototype" collect="true" /><Audit-Collection group="SSH VMCP Commands" collect="true" /><Audit-Collection group="Virtual Network Segment (VNS)" collect="true" /><Audit-Collection group="Background Task Scheduler (BTS)" collect="true" /><Audit-Collection group="Workunit Internal" collect="true" /><Audit-Collection group="System" collect="true" /><Audit-Collection group="SSH Authorized Commands" collect="true" /><Audit-Collection group="Wave Workunit" collect="true" /><Audit-Collection group="Attention Required" collect="true" /><Audit-Collection group="Wave User Management" collect="true" /><Audit-Collection group="Managed Entities" collect="true" /><Audit-Collection group="SSH Commands" collect="true" /><Audit-Collection group="Storage" collect="true" /><Audit-Collection group="Guest" collect="true" /><Audit-Collection group="Service Machine API" collect="true" /><Audit-Collection group="Reports" collect="true" /><Audit-Collection group="Network" collect="true" /><Audit-Collection group="Device Pools" collect="true" /><Audit-Collection group="SMAPI" collect="true" /><Audit-Collection group="CPC" collect="true" /><Audit-Collection group="Wave User Actions" collect="true" /><Audit-Collection group="Directory" collect="true" /></WAVE>');
update WAVE_Parameter_Table set Parameter_Name='AUDIT_USE_SYSLOGD' where Parameter_Name='USE_SYSLOGD';
update WAVE_Parameter_Table set Parameter_Name='AUDIT_SYSLOGD_FACILITY' where Parameter_Name='SYSLOGD_FACILITY';
update WAVE_Parameter_Table set Parameter_Name='AUDIT_SYSLOGD_HOST' where Parameter_Name='SYSLOGD_HOST';
update WAVE_Parameter_Table set Parameter_Name='WAVE_AUDIT_DUMP_INTERVAL' where Parameter_Name='WAVE_LOG_DUMP_INTERVAL';
